> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Details

> Returns all data for a single, specific experiment.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/experiments
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/experiments:
    get:
      tags:
        - Experiments
      summary: Get Experiment Details
      description: Returns all data for a single, specific experiment.
      operationId: get_experiment_details_api_v1_experiments_get
      parameters:
        - name: dataset_id
          in: query
          required: true
          schema:
            type: string
            description: The ID of the dataset.
            title: Dataset Id
          description: The ID of the dataset.
        - name: experiment_id
          in: query
          required: true
          schema:
            type: string
            description: The ID of the experiment to retrieve.
            title: Experiment Id
          description: The ID of the experiment to retrieve.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ExperimentDetails:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_name:
          type: string
          title: Dataset Name
        dataset_description:
          type: string
          title: Dataset Description
        experiment_id:
          type: string
          title: Experiment Id
        experiment_name:
          type: string
          title: Experiment Name
        experiment_description:
          type: string
          title: Experiment Description
        experiment_timestamp:
          type: string
          format: date-time
          title: Experiment Timestamp
        experiment_metadata:
          additionalProperties: true
          type: object
          title: Experiment Metadata
        execution_summary:
          additionalProperties: true
          type: object
          title: Execution Summary
        error_summary:
          additionalProperties: true
          type: object
          title: Error Summary
        aggregate_metrics:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Aggregate Metrics
        runs:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Runs
      type: object
      required:
        - dataset_id
        - dataset_name
        - dataset_description
        - experiment_id
        - experiment_name
        - experiment_description
        - experiment_timestamp
        - experiment_metadata
        - execution_summary
        - error_summary
        - aggregate_metrics
        - runs
      title: ExperimentDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````